/**
 * <copyright>
 * </copyright>
 *
 * $Id: ActivityExecutionValidator.java,v 1.1 2008-04-01 09:35:22 vmahe Exp $
 */
package orgomg.cwm.management.warehouseoperation.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.analysis.transformation.TransformationActivity;

import orgomg.cwm.management.warehouseoperation.StepExecution;

/**
 * A sample validator interface for {@link orgomg.cwm.management.warehouseoperation.ActivityExecution}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface ActivityExecutionValidator {
	boolean validate();

	boolean validateTransformationActivity(TransformationActivity value);
	boolean validateStepExecution(EList<StepExecution> value);
}
